package simulator.stats.implementation;

import schedframe.resources.ResourceType;
import simulator.stats.implementation.out.StatsSerializer;

public class ResourceUsageStats extends ResourceDynamicStats implements StatsInterface {

	private String[] headers = { "resourceName", "timestamp", "utilization" };

	public ResourceUsageStats(String resourceName, ResourceType resourceType, String usageType) {
		super(resourceName, resourceType, usageType);
	}

	public Object serialize(StatsSerializer serializer) {
		return serializer.visit(this);
	}

	public String[] getHeaders() {
		return headers;
	}
}
